package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 六矿物料管理对象 act_supplies_details
 * 
 * @author ruoyi
 * @date 2023-07-11
 */
public class ActSuppliesDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 物料ID */
    private Long id;

    /** 父ID */
    private Long sid;

    /**
     * 物料ID
     */
    private Long level;

    /**
     * 一级编码
     */
    @Excel(name = "一级编码")
    private String oneLevel;

    /**
     * 二级编码
     */
    @Excel(name = "二级编码")
    private String twoLevel;

    /**
     * 三级编码
     */
    @Excel(name = "三级编码")
    private String threeLevel;

    @Excel(name = "上级分类")
    private String fname;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String detailsName;

    /** 所属系统 */
    @Excel(name = "所属系统")
    private String sysclassify;

    /** 状态 */
    @Excel(name = "状态" ,readConverterExp="0=启用,1=禁用")
    private Integer status;

    /**
     * 物料编码
     */
    @Excel(name = "物料编码")
    private String code;

    /**
     * 用友编码
     */
    private String codes;
    /**
     * 用友名称
     */
    private String suppliesName;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodes() {
        return codes;
    }

    public void setCodes(String codes) {
        this.codes = codes;
    }

    public String getSuppliesName() {
        return suppliesName;
    }

    public void setSuppliesName(String suppliesName) {
        this.suppliesName = suppliesName;
    }

    public String getFname() {
        return fname;
    }

    public void setFname(String fname) {
        this.fname = fname;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSid(Long sid) 
    {
        this.sid = sid;
    }

    public Long getSid() 
    {
        return sid;
    }
    public void setDetailsName(String detailsName) 
    {
        this.detailsName = detailsName;
    }

    public String getDetailsName() 
    {
        return detailsName;
    }
    public void setSysclassify(String sysclassify) 
    {
        this.sysclassify = sysclassify;
    }

    public String getSysclassify() 
    {
        return sysclassify;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public Long getLevel() {
        return level;
    }

    public void setLevel(Long level) {
        this.level = level;
    }

    public String getOneLevel() {
        return oneLevel;
    }

    public void setOneLevel(String oneLevel) {
        this.oneLevel = oneLevel;
    }

    public String getTwoLevel() {
        return twoLevel;
    }

    public void setTwoLevel(String twoLevel) {
        this.twoLevel = twoLevel;
    }

    public String getThreeLevel() {
        return threeLevel;
    }

    public void setThreeLevel(String threeLevel) {
        this.threeLevel = threeLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sid", getSid())
            .append("detailsName", getDetailsName())
            .append("sysclassify", getSysclassify())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
